Subject: bug#14166: 24.3.50; report-emacs-bug and mail-user-agent == 'gnus-user-agent

From: Michael Heerdegen <[email-masked]>
Date: Wed, 10 Apr 2013 15:39:05 +0200

Katsumi Yamaoka <[email-masked]> writes:

> There seem to be several solutions, however ideas I have are not
> so good.  For example:
>
> 1. To make `report-emacs-bug' bind `gnus-posting-styles' to nil
>    unconditionally while performing `compose-mail'.  It has to load
>    gnus-msg.el, that provides `gnus-posting-styles', before binding
>    it to nil if Gnus is not running yet even if `mail-user-agent'
>    is not `gnus-user-agent'.  Otherwise, `gnus-posting-styles' will
>    be made unbound.  Note that a function `gnus-user-agent' uses,
>    that is `gnus-msg-mail', is autoloaded, and it involves many other
>    Gnus modules loading.
>
> 2. Similar to 1.  But load gnus-msg.el and bind `gnus-posting-styles'
>    to nil if and only if `mail-user-agent' equals `gnus-user-agent'.
>    I think the source code for it will get ugly.
>
> 3. To make `gnus-msg-mail' bind `gnus-posting-styles' to nil if and
>    only if `this-command' is `report-emacs-bug'.  It won't work if
>    `report-emacs-bug' is called non-interactively.
>
> My second best is 2.  What do others think?

Just want to mention `gnus-inhibit-posting-styles'.  Maybe binding it is
more comfortable?  Dunno, just an idea.

Regards,

Michael.